## Ontology

Ontology

## Synopsis

    #include <libtracker-common/tracker-ontology.h>

    void                tracker_ontology_init               (void);
    void                tracker_ontology_shutdown           (void);
    TrackerField *      tracker_ontology_get_field_by_id    (gint id);
    TrackerField *      tracker_ontology_get_field_by_name  (const gchar *name);
    gchar *             tracker_ontology_get_field_name_by_service_name
                                                            (TrackerField *field,
                                                             const gchar *service_str);
    GSList *            tracker_ontology_get_field_names_registered
                                                            (const gchar *service_str);
    const gchar *       tracker_ontology_get_service_by_id  (gint id);
    const gchar *       tracker_ontology_get_service_by_mime
                                                            (const gchar *mime);
    TrackerService *    tracker_ontology_get_service_by_name
                                                            (const gchar *service_str);
    TrackerDBType       tracker_ontology_get_service_db_by_name
                                                            (const gchar *service_str);
    gint                tracker_ontology_get_service_id_by_name
                                                            (const gchar *service_str);
    GSList *            tracker_ontology_get_service_names_registered
                                                            (void);
    gchar *             tracker_ontology_get_service_parent (const gchar *service_str);
    gchar *             tracker_ontology_get_service_parent_by_id
                                                            (gint id);
    gint                tracker_ontology_get_service_parent_id_by_id
                                                            (gint id);
    void                tracker_ontology_service_add        (TrackerService *service,
                                                             GSList *mimes,
                                                             GSList *mime_prefixes);
    gint                tracker_ontology_service_get_key_metadata
                                                            (const gchar *service_str,
                                                             const gchar *meta_name);
    gboolean            tracker_ontology_service_get_show_directories
                                                            (const gchar *service_str);
    gboolean            tracker_ontology_service_get_show_files
                                                            (const gchar *service_str);
    gboolean            tracker_ontology_service_has_embedded
                                                            (const gchar *service_str);
    gboolean            tracker_ontology_service_has_metadata
                                                            (const gchar *service_str);
    gboolean            tracker_ontology_service_has_text   (const gchar *service_str);
    gboolean            tracker_ontology_service_has_thumbnails
                                                            (const gchar *service_str);
    gboolean            tracker_ontology_service_is_valid   (const gchar *service_str);
    void                tracker_ontology_field_add          (TrackerField *field);
    gchar *             tracker_ontology_field_get_display_name
                                                            (TrackerField *field);
    const gchar *       tracker_ontology_field_get_id       (const gchar *name);
    gboolean            tracker_ontology_field_is_child_of  (const gchar *child,
                                                             const gchar *parent);

## Description

## Details

### tracker_ontology_init ()

    void                tracker_ontology_init               (void);

### tracker_ontology_shutdown ()

    void                tracker_ontology_shutdown           (void);

### tracker_ontology_get_field_by_id ()

    TrackerField *      tracker_ontology_get_field_by_id    (gint id);

`id` : |
Returns : |

### tracker_ontology_get_field_by_name ()

    TrackerField *      tracker_ontology_get_field_by_name  (const gchar *name);

`name` : |
Returns : |

### tracker_ontology_get_field_name_by_service_name ()

    gchar *             tracker_ontology_get_field_name_by_service_name
                                                            (TrackerField *field,
                                                             const gchar *service_str);

`field` : |
`service_str` : |
Returns : |

### tracker_ontology_get_field_names_registered ()

    GSList *            tracker_ontology_get_field_names_registered
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_get_service_by_id ()

    const gchar *       tracker_ontology_get_service_by_id  (gint id);

`id` : |
Returns : |

### tracker_ontology_get_service_by_mime ()

    const gchar *       tracker_ontology_get_service_by_mime
                                                            (const gchar *mime);

`mime` : |
Returns : |

### tracker_ontology_get_service_by_name ()

    TrackerService *    tracker_ontology_get_service_by_name
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_get_service_db_by_name ()

    TrackerDBType       tracker_ontology_get_service_db_by_name
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_get_service_id_by_name ()

    gint                tracker_ontology_get_service_id_by_name
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_get_service_names_registered ()

    GSList *            tracker_ontology_get_service_names_registered
                                                            (void);

Returns : |

### tracker_ontology_get_service_parent ()

    gchar *             tracker_ontology_get_service_parent (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_get_service_parent_by_id ()

    gchar *             tracker_ontology_get_service_parent_by_id
                                                            (gint id);

`id` : |
Returns : |

### tracker_ontology_get_service_parent_id_by_id ()

    gint                tracker_ontology_get_service_parent_id_by_id
                                                            (gint id);

`id` : |
Returns : |

### tracker_ontology_service_add ()

    void                tracker_ontology_service_add        (TrackerService *service,
                                                             GSList *mimes,
                                                             GSList *mime_prefixes);

`service` : |
`mimes` : |
`mime_prefixes` : |

### tracker_ontology_service_get_key_metadata ()

    gint                tracker_ontology_service_get_key_metadata
                                                            (const gchar *service_str,
                                                             const gchar *meta_name);

`service_str` : |
`meta_name` : |
Returns : |

### tracker_ontology_service_get_show_directories ()

    gboolean            tracker_ontology_service_get_show_directories
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_get_show_files ()

    gboolean            tracker_ontology_service_get_show_files
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_has_embedded ()

    gboolean            tracker_ontology_service_has_embedded
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_has_metadata ()

    gboolean            tracker_ontology_service_has_metadata
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_has_text ()

    gboolean            tracker_ontology_service_has_text   (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_has_thumbnails ()

    gboolean            tracker_ontology_service_has_thumbnails
                                                            (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_service_is_valid ()

    gboolean            tracker_ontology_service_is_valid   (const gchar *service_str);

`service_str` : |
Returns : |

### tracker_ontology_field_add ()

    void                tracker_ontology_field_add          (TrackerField *field);

`field` : |

### tracker_ontology_field_get_display_name ()

    gchar *             tracker_ontology_field_get_display_name
                                                            (TrackerField *field);

`field` : |
Returns : |

### tracker_ontology_field_get_id ()

    const gchar *       tracker_ontology_field_get_id       (const gchar *name);

`name` : |
Returns : |

### tracker_ontology_field_is_child_of ()

    gboolean            tracker_ontology_field_is_child_of  (const gchar *child,
                                                             const gchar *parent);

`child` : |
`parent` : |
Returns : |